////////////////////////////////////////////////////////////////////////////////
//                            GLFCylinder.h                                   //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLFCYLINDER_H
#define GLFCYLINDER_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace GL {

// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
// FCylinder.

class FCylinder : public Cylinder
{
public:
  // Constructor.
  FCylinder();
  // Clones the node.
  virtual SFNode clone() const;

  /// Updates the attributes of the node.
  virtual void update();

protected:
  // Copy constructor.
  FCylinder(const FCylinder &C);  
};

}
}

#endif
