////////////////////////////////////////////////////////////////////////////////
//                            DefaultCoreCreator.h                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef DEFAULTCORECREATOR_H
#define DEFAULTCORECREATOR_H

#include "CoreCreator.h"

namespace X3DTK {
namespace X3D {

/// Concrete component Creator for the Core component defining the default X3D nodes.

class DefaultCoreCreator : public CoreCreator
{
public:
  /// Constructor.
  DefaultCoreCreator();
  /// Destructor.
  virtual ~DefaultCoreCreator();
  
  /// Creates a Scene.
  SFNode createScene() const;
};

}
}

#endif
