////////////////////////////////////////////////////////////////////////////////
//                            DefaultDFSShapeWalker.h                         //
////////////////////////////////////////////////////////////////////////////////

#ifndef DEFAULTDFSSHAPEWALKER_H
#define DEFAULTDFSSHAPEWALKER_H

#include "DFSShapeWalker.h"

namespace X3DTK {
namespace X3D {

class X3DShapeNode;
class Appearance;

/// Concrete component walker for the Shape component. 

class DefaultDFSShapeWalker : public DFSShapeWalker
{
public:
  /// Constructor.
  DefaultDFSShapeWalker();
  /// Destructor.
  virtual ~DefaultDFSShapeWalker();
  
  virtual void walkX3DShapeNode(X3D::X3DShapeNode *N) const;
  virtual void walkAppearance(X3D::Appearance *A) const;
};

}
}

#endif
