////////////////////////////////////////////////////////////////////////////////
//                            DefaultLoader.h                                 //
////////////////////////////////////////////////////////////////////////////////

#ifndef DEFAULTLOADER_H
#define DEFAULTLOADER_H

#ifdef XERCES
  #include "XercesLoader.h"
#else  
  #include "QLoader.h"
#endif  

namespace X3DTK {

/// X3D file loader for the default nodes.

#ifdef XERCES
  class DefaultLoader : public XercesLoader
#else  
  class DefaultLoader : public QLoader
#endif  
{
public:
  /// Constructor.
  DefaultLoader();
  /// Destructor.
  ~DefaultLoader();
};

}

#endif
