////////////////////////////////////////////////////////////////////////////////
//                            GLBbox.h                                        //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef GLBBOX_H
#define GLBBOX_H

#include "Bbox.h"
#include "BboxDrawArray.h"

namespace X3DTK {
namespace GL {

/// Class drawing a Bbox. 

class Bbox : public X3DTK::Bbox
{
public:
  /// Constructor.
  Bbox();
  /// Explicit constructor.
  explicit Bbox(const X3DTK::Bbox &BB);
  /// Explicit constructor.
  explicit Bbox(const SFVec3f &min, const SFVec3f &max);
  
  /// Draw method.
  void draw() const;

protected:
  static BboxDrawArray bbox_array;
};

}
}

#endif
