////////////////////////////////////////////////////////////////////////////////
//                            GLDefaultDFSShapeWalker.h                       //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLDEFAULTDFSSHAPEWALKER_H
#define GLDEFAULTLDFSSHAPEWALKER_H

#include "GLDFSShapeWalker.h"

namespace X3DTK {
namespace GL {

class X3DShapeNode;
class Appearance;

/// Concrete component walker for the Shape component. 

class DefaultDFSShapeWalker : public DFSShapeWalker
{
public:
  /// Constructor.
  DefaultDFSShapeWalker();
  /// Destructor.
  virtual ~DefaultDFSShapeWalker();
  
  virtual void walkX3DShapeNode(X3DShapeNode *N) const;
  virtual void walkAppearance(Appearance *A) const;
};

}
}

#endif
