////////////////////////////////////////////////////////////////////////////////
//                            GLFillProperties.h                              //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLFILLPROPERTIES_H
#define GLFILLPROPERTIES_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {
namespace GL {

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// FillProperties.

class FillProperties : public X3DAppearanceChildNode
{
public:
  /// Constructor.
  FillProperties();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  virtual ~FillProperties();

protected:
  /// Copy constructor.		 
  FillProperties(const FillProperties &F);
};

}
}

#endif
