////////////////////////////////////////////////////////////////////////////////
//                            GLLineProperties.h                              //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLLINEPROPERTIES_H
#define GLLINEPROPERTIES_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {
namespace GL {

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// LineProperties.

class LineProperties : public X3DAppearanceChildNode
{
public:
  /// Constructor.
  LineProperties();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  virtual ~LineProperties();

protected:
  /// Copy constructor.			 
  LineProperties(const LineProperties &L);
};

}
}

#endif
