////////////////////////////////////////////////////////////////////////////////
//                            GLRendererGLCoreVisitor.h                       //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLRENDERERGLCOREVISITOR_H
#define GLRENDERERGLCOREVISITOR_H

#include "GLCoreVisitor.h"
#include "GLRendererGlobalVariables.h"

namespace X3DTK {
namespace GL {

/// Visitor for the GLCore component of the GLRenderer module.

class RendererCoreVisitor : public CoreVisitor
{
public:
  /// Constructor.
  RendererCoreVisitor();
  /// Destructor.
  virtual ~RendererCoreVisitor();

  /// Enters an X3DGLNode.
  virtual void enterX3DNode(X3DNode *N) const;
  
protected:
  RendererGlobalVariables *globalVariables;
};

}
}

#endif
