////////////////////////////////////////////////////////////////////////////////
//                            GLUpdaterGlobalVariables.h                      //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLUPDATERGLOBALVARIABLES_H
#define GLUPDATERGLOBALVARIABLES_H

#include "GlobalVariables.h"

namespace X3DTK {
namespace GL {

/// GlobalVariables for the GLUpdater module.

class UpdaterGlobalVariables : public GlobalVariables
{
public:
  /// Constructor.
  UpdaterGlobalVariables();
  /// Destructor.
  virtual ~UpdaterGlobalVariables();
  
  /// Sets the path of the scene. 
  void setPath(SFString path);
  /// Gets the path of the scene. 
  inline SFString getPath() const {return _path;};

private:
  SFString _path;  
};

}
}

#endif
