////////////////////////////////////////////////////////////////////////////////
//                            TemplateIndirectEdge.h                          //
////////////////////////////////////////////////////////////////////////////////

#ifndef TEMPLATEINDIRECTEDGE_H
#define TEMPLATEINDIRECTEDGE_H

#include "TemplateEdge.h"

namespace X3DTK {
namespace Mesh {

/// Class defining an indirect template edge.

template<class EData, class FData, class VData>
class TemplateIndirectEdge : public TemplateEdge<EData, FData, VData>
{
  template<class A, class B, class C, class D> friend class TemplateMesh;
public:
  /// Constructor.
  TemplateIndirectEdge(TemplateEdgeContent<EData, FData, VData> *const edgeContent)
  : TemplateEdge<EData, FData, VData>(edgeContent)
  {
    setDirect(false);
  };
};

}
}

#endif
