////////////////////////////////////////////////////////////////////////////////
//                            X3DGLAppearanceChildNode.h                      //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef X3DGLAPPEARANCECHILDNODE_H
#define X3DGLAPPEARANCECHILDNODE_H

#include "X3DGLNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DAppearanceChildNode in the X3DGL tree.

class X3DAppearanceChildNode : public X3DNode
{
public:
  /// Constructor.
  X3DAppearanceChildNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DAppearanceChildNode();

protected:
  /// Copy constructor.
  X3DAppearanceChildNode(const X3DAppearanceChildNode &N);
};

}
}

#endif
