////////////////////////////////////////////////////////////////////////////////
//                            X3DGLChildNode.h                                //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef X3DGLCHILDNODE_H
#define X3DGLCHILDNODE_H

#include "X3DGLNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DChildNode in the X3DGL tree.

class X3DChildNode : public X3DNode
{
public:
  /// Constructor.
  X3DChildNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DChildNode();

protected:
  /// Copy constructor.
  X3DChildNode(const X3DChildNode &N);
};

}
}

#endif
