////////////////////////////////////////////////////////////////////////////////
//                            X3DGLMaterialNode.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLMATERIALNODE_H
#define X3DGLMATERIALNODE_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DGLMaterialNode in the X3DGL tree.

class X3DMaterialNode : public X3DAppearanceChildNode
{
public:
  /// Constructor.
  X3DMaterialNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DMaterialNode();

protected:
  /// Copy constructor.
  X3DMaterialNode(const X3DMaterialNode &N);
};

}
}

#endif
