////////////////////////////////////////////////////////////////////////////////
//                            X3DGLTextureTransformNode.h                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLTEXTURETRANSFORMNODE_H
#define X3DGLTEXTURETRANSFORMNODE_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DGLTextureTransformNode in the X3DGL tree.

class X3DTextureTransformNode : public X3DAppearanceChildNode
{
public:  
  /// Constructor.
  X3DTextureTransformNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DTextureTransformNode();

protected:
  /// Copy constructor.
  X3DTextureTransformNode(const X3DTextureTransformNode &N);  
};

}
}

#endif
