#include "X3DImageType.h"

namespace X3DTK {

X3DImageType::X3DImageType()
: data(0), _pixelFormat(0), _width(0), _height(0)
{
}

X3DImageType::~X3DImageType()
{
  release();
}

/*void X3DImageType::resize(unsigned short width, unsigned short height)
{
}*/

void X3DImageType::release()
{
  _pixelFormat = 0;
  _width = 0;
  _height = 0;
  
  if (data != 0)
  {
    delete [] data;
    data = 0;
  }  
}

bool X3DImageType::allocate(int pixelFormat, unsigned short width, unsigned short height)
{
  release();
  
  _pixelFormat = pixelFormat;
  _width = width;
  _height = height;
  
  data = new unsigned char[pixelFormat*width*height];
  
  return (data != 0);
}

}
