#include "MeshDFS.h"
#include "MeshDFSCoreWalker.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace Mesh {

DFS::DFS()
: X3DTTAlgorithm()
{
  setComponentWalker(new DFSCoreWalker());
}

DFS::~DFS()
{
}

void DFS::setComponentWalker(X3DComponentWalker *component)
{
  X3DTTAlgorithm::setComponentWalker(component);
}

}
}
