#include "MyGLBuilderGeometry3DVisitor.h"
#include "FCylinder.h"
#include "GLFCylinder.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

MyGLBuilderGeometry3DVisitor::MyGLBuilderGeometry3DVisitor()
: GLBuilderGeometry3DVisitor()
{
  // Define new enter function for FCylinder.
  defineNewEnterFunction<MyGLBuilderGeometry3DVisitor, FCylinder>(&MyGLBuilderGeometry3DVisitor::enterFCylinder);
}

void MyGLBuilderGeometry3DVisitor::enterFCylinder(FCylinder *C) const
{
  // Creation of the GLFCylinder.
  GL::FCylinder *GC = new GL::FCylinder();
  GC->setX3DReference(C);
  globalVariables->getTop()->addChild(GC);
  globalVariables->pushNode(GC);
}

}
}
