#include "MyGeometry3DCreator.h"
#include "FCylinder.h"

namespace X3DTK {
namespace X3D {

MyGeometry3DCreator::MyGeometry3DCreator()
: DefaultGeometry3DCreator()
{
  // Defines a new creation function for the FCylinder node.
  defineNewCreationFunction<MyGeometry3DCreator>("FCylinder", &MyGeometry3DCreator::createFCylinder);
}

SFNode MyGeometry3DCreator::createFCylinder() const
{
  return new FCylinder();
}

}
}
