////////////////////////////////////////////////////////////////////////////////
//                            DefaultDFSRenderingWalker.h                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef DEFAULTDFSRENDERINGWALKER_H
#define DEFAULTDFSRENDERINGWALKER_H

#include "DFSRenderingWalker.h"

namespace X3DTK {
namespace X3D {

class X3DComposedGeometryNode;
class IndexedLineSet;
class PointSet;

/// Concrete component walker for the Rendering component.

class DefaultDFSRenderingWalker : public DFSRenderingWalker
{
public:
  /// Constructor.
  DefaultDFSRenderingWalker();
  /// Destructor.
  virtual ~DefaultDFSRenderingWalker();
  
  virtual void walkX3DComposedGeometryNode(X3D::X3DComposedGeometryNode *N) const;
  virtual void walkIndexedLineSet(X3D::IndexedLineSet *I) const;
  virtual void walkPointSet(X3D::PointSet *P) const;
};

}
}

#endif
