////////////////////////////////////////////////////////////////////////////////
//                            FileValidatorGlobalVariables.h                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef FILEVALIDATORGLOBALVARIABLES_H
#define FILEVALIDATORGLOBALVARIABLES_H

#include "GlobalVariables.h"
#include "Bbox.h"

#include <list>

namespace X3DTK {
namespace X3D {

/// GlobalVariables for the FileValidator module.

class FileValidatorGlobalVariables : public GlobalVariables
{
public:
  /// Constructor.
  FileValidatorGlobalVariables();
  /// Destructor.
  virtual ~FileValidatorGlobalVariables();
  
  /// Sets the staticProcessing.
  void setValidity(bool value);
  
  inline bool getValidity() const {return _validity;};
  
private:
  bool _validity;
};

}
}

#endif
