////////////////////////////////////////////////////////////////////////////////
//                            GLBuilderTexturingVisitor.h                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLBUILDERTEXTURINGVISITOR_H
#define GLBUILDERTEXTURINGVISITOR_H

#include "TexturingVisitor.h"
#include "GLBuilderGlobalVariables.h"

namespace X3DTK {
namespace X3D {

class ImageTexture;

/// Visitor for the Texturing component of the GLBuilder module.

class GLBuilderTexturingVisitor : public TexturingVisitor
{
public:
  /// Constructor.
  GLBuilderTexturingVisitor();
  /// Destructor.
  virtual ~GLBuilderTexturingVisitor();

  /// Enters a ImageTexture.
  virtual void enterImageTexture(ImageTexture *I) const;

protected:
  GLBuilderGlobalVariables *globalVariables;
};

}
}

#endif
