////////////////////////////////////////////////////////////////////////////////
//                            GLGroup.h                                       //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef GLGROUP_H
#define GLGROUP_H

#include "X3DGLGroupingNode.h"

namespace X3DTK {
namespace GL {

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// Group.

class Group : public X3DGroupingNode
{
public:
  /// Constructor.
  Group();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  virtual ~Group();

protected:
  /// Copy constructor.	
  Group(const Group &G);
};

}
}

#endif
