////////////////////////////////////////////////////////////////////////////////
//                            GLShape.h                                       //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLSHAPE_H
#define GLSHAPE_H

#include "X3DGLShapeNode.h"

namespace X3DTK {
namespace GL {

class Shape;

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// Shape.

class Shape : public X3DShapeNode
{
public:
  /// Constructor.
  Shape();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  virtual ~Shape();
  
protected:  
  /// Copy constructor.		
  Shape(const Shape &S);
};

}
}

#endif
