////////////////////////////////////////////////////////////////////////////////
//                            GLUpdaterGLCoreVisitor.h                        //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLUPDATERGLCOREVISITOR_H
#define GLUPDATERGLCOREVISITOR_H

#include "GLCoreVisitor.h"
#include "GLUpdaterGlobalVariables.h"

namespace X3DTK {
namespace GL {

/// Visitor for the GLCore component of the GLUpdater module.

class UpdaterCoreVisitor : public CoreVisitor
{
public:
  /// Constructor.
  UpdaterCoreVisitor();
  /// Destructor.
  virtual ~UpdaterCoreVisitor();

  /// Enters a GLScene.
  virtual void enterX3DNode(X3DNode *N) const;

protected:
  UpdaterGlobalVariables *globalVariables;
};

}
}

#endif
