////////////////////////////////////////////////////////////////////////////////
//                            MeshDFSCoreWalker.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef MESHDFSCOREWALKER_H
#define MESHDFSCOREWALKER_H

#include "MeshCoreWalker.h"

namespace X3DTK {
namespace Mesh {

class X3DGroupingNode;

/// Concrete component walker for the Core component of the Mesh graph scene.

class DFSCoreWalker : public CoreWalker
{
public:
  /// Constructor.
  DFSCoreWalker();
  /// Destructor.
  virtual ~DFSCoreWalker();
  
  /// Walking function for the X3DGroupingNode.
  void walkX3DGroupingNode(X3DGroupingNode *N) const;
};

}
}

#endif
