////////////////////////////////////////////////////////////////////////////////
//                            MeshScene.h                                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef MESHSCENE_H
#define MESHSCENE_H

#include "X3DMeshGroupingNode.h"

namespace X3DTK {
namespace Mesh {

/// Class providing a Scene for the Mesh graph scene.

class Scene : public X3DGroupingNode
{
public:
  /// Constructor.
  Scene();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~Scene();
  
protected:
  /// Copy constructor.
  Scene(const Scene &T);
};

}
}

#endif
