////////////////////////////////////////////////////////////////////////////////
//                            TemplateDirectEdge.h                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef TEMPLATEDIRECTEDGE_H
#define TEMPLATEDIRECTEDGE_H

#include "TemplateEdge.h"

namespace X3DTK {
namespace Mesh {

/// Class defining a direct template edge.

template<class EData, class FData, class VData>
class TemplateDirectEdge : public TemplateEdge<EData, FData, VData>
{
  template<class A, class B, class C, class D> friend class TemplateMesh;
public:
  /// Constructor.
  TemplateDirectEdge(TemplateEdgeContent<EData, FData, VData> *const edgeContent)
  : TemplateEdge<EData, FData, VData>(edgeContent)
  {
    setDirect(true);
  };
};

}
}

#endif
