////////////////////////////////////////////////////////////////////////////////
//                            X3DFileValidator.h                              //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DFILEVALIDATOR_H
#define X3DFILEVALIDATOR_H

#include "X3DOnePassProcessor.h"

namespace X3DTK {
namespace X3D {

/// X3DFileValidator concept.

class X3DFileValidator : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DFileValidator();
  /// Destructor.
  virtual ~X3DFileValidator() = 0;
  
  virtual bool validate(SFNode N) const;
};

}
}

#endif
