////////////////////////////////////////////////////////////////////////////////
//                            X3DGLAppearanceNode.h                           //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef X3DGLAPPEARANCENODE_H
#define X3DGLAPPEARANCENODE_H

#include "X3DGLNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DAppearanceNode in the X3DGL tree.

class X3DAppearanceNode : public X3DNode
{
public:
  /// Constructor.
  X3DAppearanceNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DAppearanceNode();

protected:
  /// Copy constructor.
  X3DAppearanceNode(const X3DAppearanceNode &N);
};

}
}

#endif
