////////////////////////////////////////////////////////////////////////////////
//                            X3DGLGeometry3DNode.h                           //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLGEOMETRY3DNODE_H
#define X3DGLGEOMETRY3DNODE_H

#include "X3DGLGeometryNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DGeometry3DNode in the X3DGL tree.

class X3DGeometry3DNode : public X3DGeometryNode
{
public:  
  /// Constructor
  X3DGeometry3DNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGeometry3DNode();

protected:
  /// Copy constructor.
  X3DGeometry3DNode(const X3DGeometry3DNode &N);
};

}
}

#endif
