////////////////////////////////////////////////////////////////////////////////
//                            X3DGLGeometryNode.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLGEOMETRYNODE_H
#define X3DGLGEOMETRYNODE_H

#include "X3DGLNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DGeometryNode in the X3DGL tree.

class X3DGeometryNode : public X3DNode
{
public:  
  /// Constructor
  X3DGeometryNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGeometryNode();

protected:
  /// Copy Constructor.
  X3DGeometryNode(const X3DGeometryNode &N);  
};

}
}

#endif
