////////////////////////////////////////////////////////////////////////////////
//                            X3DGLRenderer.h                                 //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLRENDERER_H
#define X3DGLRENDERER_H

#include "X3DOnePassProcessor.h"
#include "X3DGLNode.h"

namespace X3DTK {
namespace GL {

class GLScene;

/// X3DGLRenderer module.

class X3DRenderer : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DRenderer();
  /// Destructor.
  virtual ~X3DRenderer() = 0;
  
  /// Renders a GLScene.
  virtual void render(SFNode N) const = 0;
};

}
}

#endif
