////////////////////////////////////////////////////////////////////////////////
//                            X3DGLTexture2DNode.h                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLTEXTURE2DNODE_H
#define X3DGLTEXTURE2DNODE_H

#include "X3DGLTextureNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DTexture2DNode in the X3D tree.

class X3DTexture2DNode : public X3DTextureNode
{ 
public:  
  /// Constructor.
  X3DTexture2DNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DTexture2DNode();

protected:
  /// Copy constructor.	
  X3DTexture2DNode(const X3DTexture2DNode &N);
};

}
}

#endif
