////////////////////////////////////////////////////////////////////////////////
//                            X3DGLTextureNode.h                              //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLTEXTURENODE_H
#define X3DGLTEXTURENODE_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {
namespace GL {

/// Class providing an interface for the equivalent of the X3DTextureNode in the X3DGL tree.

class X3DTextureNode : public X3DAppearanceChildNode
{
public:  
  /// Constructor.
  X3DTextureNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DTextureNode();

protected:
  /// Copy constructor.	
  X3DTextureNode(const X3DTextureNode &N);
};

}
}

#endif
