////////////////////////////////////////////////////////////////////////////////
//                            X3DGLUpdater.h                                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLUPDATER_H
#define X3DGLUPDATER_H

#include "X3DOnePassProcessor.h"

namespace X3DTK {
namespace GL {

/// GLUpdater module.

class X3DUpdater : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DUpdater();
  /// Destructor.
  virtual ~X3DUpdater();
  
  /// Updates the GLScene.
  virtual void update(SFNode N) = 0;
};

}
}

#endif
