////////////////////////////////////////////////////////////////////////////////
//                            X3DMeshNode.h                                   //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DMESHNODE_H
#define X3DMESHNODE_H

#include "MeshTypes.h"
#include "X3DAbstractNode.h"

namespace X3DTK {
namespace Mesh {

/// Base class for the Mesh graph Scene.

class X3DNode : public X3DAbstractNode
{
public:
  /// Constructor.
  X3DNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DNode();
  
protected:
  /// Copy constructor.
  X3DNode(const X3DNode &N);
};

}
}

#endif
