////////////////////////////////////////////////////////////////////////////////
//                            X3DOnePassProcessor.h                           //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DONEPASSPROCESSOR_H
#define X3DONEPASSPROCESSOR_H

#include "GVManager.h"
#include "X3DProcessor.h"
#include "Scene.h"

namespace X3DTK {

/// Abstract class defining a concept of one pass processor.

class X3DOnePassProcessor : public X3DProcessor
{
public:
  /// Constructor.
  X3DOnePassProcessor();
  /// Destructor.
  virtual ~X3DOnePassProcessor() = 0;
  
  /// Sets a component visitor.
  virtual void setComponentVisitor(X3DComponentVisitor *component) = 0;
};

}

#endif
