////////////////////////////////////////////////////////////////////////////////
//                            X3DSceneSaver.h                                 //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DSCENESAVER_H
#define X3DSCENESAVER_H

#include "X3DOnePassProcessor.h"

namespace X3DTK {
namespace X3D {

class Scene;

/// SceneSaver module.

class X3DSceneSaver : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DSceneSaver();
  /// Destructor.
  virtual ~X3DSceneSaver() = 0;

  /// Writes the content of S in file.
  virtual void saveAs(Scene *S, const SFString &fileName) const = 0;
  /// Writes the content of S in file.
  virtual void save(Scene *S) const = 0;
};

}
}

#endif
