#include "AbstractWalker.h"
#include "NodeVisitingProxy.h"

namespace X3DTK {

AbstractWalker::AbstractWalker()
: X3DComponentWalker()
{
  defineComponentName("Abstract");
  defineNewWalkingFunction<AbstractWalker, X3DAbstractNode>(&AbstractWalker::walkX3DAbstractNode);
}

AbstractWalker::~AbstractWalker()
{
}
  
void AbstractWalker::walkX3DAbstractNode(X3DAbstractNode *N) const
{
  nodeVisitingProxy->enter(N);
  nodeVisitingProxy->leave(N);  
}

}

