TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dnodeproxy

VPATH = . \
        Type \ 
        X3DAbstractNode \
        X3DComponent

INCLUDEPATH = . \
              Type \ 
              X3DAbstractNode \
              X3DComponent
        
                 
HEADERS = Component.h \
          Type.h \
          NameDict.h \
          X3DAbstractNode.h \
          X3DFunction.h \
          X3DActiveFunction.h \
          WalkingFunction.h \
          EnterFunction.h \
          WalkOnFunction.h \
          LeaveFunction.h \
          VisitingFunctions.h \
          CreationFunction.h \
          X3DNodeProxy.h \
          NodeCreationProxy.h \
          NodeWalkingProxy.h \
          NodeVisitingProxy.h \
          X3DComponent.h \
          X3DComponentCreator.h \
          X3DComponentWalker.h \
          X3DComponentVisitor.h \
                         
SOURCES = Component.cpp \
          Type.cpp \
          NameDict.cpp \
          X3DAbstractNode.cpp \
          X3DFunction.cpp \
          X3DActiveFunction.cpp \
          WalkingFunction.cpp \
          EnterFunction.cpp \
          WalkOnFunction.cpp \
          LeaveFunction.cpp \
          VisitingFunctions.cpp \
          CreationFunction.cpp \
          X3DNodeProxy.cpp \
          NodeCreationProxy.cpp \          
          NodeWalkingProxy.cpp \
          NodeVisitingProxy.cpp \          
          X3DComponent.cpp \
          X3DComponentCreator.cpp \
          X3DComponentWalker.cpp \
          X3DComponentVisitor.cpp \          

include(../../X3DToolKit.pri)
