TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dttalgo

VPATH = . \
        DefaultX3DProcessors

TARGETDEPS = ../../../lib/libx3dtypes.a \
             ../../../lib/libx3dnodes.a \
             ../../../lib/libx3dnodeproxy.a \
               
HEADERS = X3DProcessor.h \
          X3DOnePassProcessor.h \
          X3DTTAlgorithm.h \
          GlobalVariables.h \
          GVManager.h \
          DFS.h \
          GLDFS.h \
          DefaultDFS.h \
          DFSCoreWalker.h \
          DFSGeometry3DWalker.h \
          DFSGroupingWalker.h \
          DFSRenderingWalker.h \
          DFSShapeWalker.h \
          DFSTexturingWalker.h \
          DefaultDFSCoreWalker.h \
          DefaultDFSGeometry3DWalker.h \
          DefaultDFSGroupingWalker.h \
          DefaultDFSRenderingWalker.h \
          DefaultDFSShapeWalker.h \
          DefaultDFSTexturingWalker.h \
          GLDFSCoreWalker.h \
          GLDFSGeometry3DWalker.h \
          GLDFSGroupingWalker.h \
          GLDFSRenderingWalker.h \
          GLDFSShapeWalker.h \
          GLDFSTexturingWalker.h \
          GLDefaultDFS.h \
          GLDefaultDFSCoreWalker.h \
          GLDefaultDFSGeometry3DWalker.h \
          GLDefaultDFSGroupingWalker.h \
          GLDefaultDFSRenderingWalker.h \
          GLDefaultDFSShapeWalker.h \
          GLDefaultDFSTexturingWalker.h \
          X3DBboxUpdater.h \
          X3DGLBuilder.h  \
          X3DGLRenderer.h  \
          X3DGLUpdater.h  \
          X3DMemReleaser.h  \
          X3DSceneSaver.h \
          X3DFileValidator.h
          
          

SOURCES = X3DProcessor.cpp \
          X3DOnePassProcessor.cpp \
          X3DTTAlgorithm.cpp \
          GlobalVariables.cpp \
          GVManager.cpp \
          DFS.cpp \
          GLDFS.cpp \
          DefaultDFS.cpp \
          DFSCoreWalker.cpp \
          DFSGeometry3DWalker.cpp \
          DFSGroupingWalker.cpp \
          DFSRenderingWalker.cpp \
          DFSShapeWalker.cpp \
          DFSTexturingWalker.cpp \
          DefaultDFSCoreWalker.cpp \
          DefaultDFSGeometry3DWalker.cpp \
          DefaultDFSGroupingWalker.cpp \
          DefaultDFSRenderingWalker.cpp \
          DefaultDFSShapeWalker.cpp \
          DefaultDFSTexturingWalker.cpp \
          GLDFSCoreWalker.cpp \
          GLDFSGeometry3DWalker.cpp \
          GLDFSGroupingWalker.cpp \
          GLDFSRenderingWalker.cpp \
          GLDFSShapeWalker.cpp \
          GLDFSTexturingWalker.cpp \
          GLDefaultDFS.cpp \
          GLDefaultDFSCoreWalker.cpp \
          GLDefaultDFSGeometry3DWalker.cpp \
          GLDefaultDFSGroupingWalker.cpp \
          GLDefaultDFSRenderingWalker.cpp \
          GLDefaultDFSShapeWalker.cpp \
          GLDefaultDFSTexturingWalker.cpp \
          X3DBboxUpdater.cpp \
          X3DGLBuilder.cpp  \
          X3DGLRenderer.cpp  \
          X3DGLUpdater.cpp  \
          X3DMemReleaser.cpp  \
          X3DSceneSaver.cpp \
          X3DFileValidator.cpp          

include(../../X3DToolKit.pri)
